Query
curl --request POST \
--url https://app.specurate.com/api/v1/workspaces/{workspaceId}/projects/{projectId}/budget-analysis/query \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"budgetVersion": "live",
"filters": {
"categoryIds": [
"<string>"
],
"supplierCompanyIds": [
"<string>"
],
"areaIds": [
"<string>"
]
}
}
'import requests
url = "https://app.specurate.com/api/v1/workspaces/{workspaceId}/projects/{projectId}/budget-analysis/query"
payload = {
"budgetVersion": "live",
"filters": {
"categoryIds": ["<string>"],
"supplierCompanyIds": ["<string>"],
"areaIds": ["<string>"]
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
budgetVersion: 'live',
filters: {
categoryIds: ['<string>'],
supplierCompanyIds: ['<string>'],
areaIds: ['<string>']
}
})
};
fetch('https://app.specurate.com/api/v1/workspaces/{workspaceId}/projects/{projectId}/budget-analysis/query', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://app.specurate.com/api/v1/workspaces/{workspaceId}/projects/{projectId}/budget-analysis/query",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'budgetVersion' => 'live',
'filters' => [
'categoryIds' => [
'<string>'
],
'supplierCompanyIds' => [
'<string>'
],
'areaIds' => [
'<string>'
]
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://app.specurate.com/api/v1/workspaces/{workspaceId}/projects/{projectId}/budget-analysis/query"
payload := strings.NewReader("{\n \"budgetVersion\": \"live\",\n \"filters\": {\n \"categoryIds\": [\n \"<string>\"\n ],\n \"supplierCompanyIds\": [\n \"<string>\"\n ],\n \"areaIds\": [\n \"<string>\"\n ]\n }\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://app.specurate.com/api/v1/workspaces/{workspaceId}/projects/{projectId}/budget-analysis/query")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"budgetVersion\": \"live\",\n \"filters\": {\n \"categoryIds\": [\n \"<string>\"\n ],\n \"supplierCompanyIds\": [\n \"<string>\"\n ],\n \"areaIds\": [\n \"<string>\"\n ]\n }\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://app.specurate.com/api/v1/workspaces/{workspaceId}/projects/{projectId}/budget-analysis/query")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"budgetVersion\": \"live\",\n \"filters\": {\n \"categoryIds\": [\n \"<string>\"\n ],\n \"supplierCompanyIds\": [\n \"<string>\"\n ],\n \"areaIds\": [\n \"<string>\"\n ]\n }\n}"
response = http.request(request)
puts response.read_body{
"matchingCounts": {},
"attention": {
"purchasingShortfallCount": 123,
"installedShortfallCount": 123,
"requiredStockShortfallCount": 123,
"overrunCount": 123,
"lineOverrunCount": {
"specified": 123,
"purchase": 123
},
"categoryOverrunCount": {
"specified": 123,
"purchase": 123
},
"softCostOverrunCount": {
"specified": 123,
"purchase": 123
},
"incompleteInputCount": 123,
"belowTargetMarginCount": {
"specified": 123,
"purchase": 123
}
},
"matchedCount": 123,
"insights": {
"scopes": {}
},
"budgetVersion": {
"kind": "live",
"id": "<string>",
"number": 123,
"releasedAt": "<string>"
},
"itemizedBudgetsAreLive": true,
"groupBy": "category",
"rows": [
{
"key": "<string>",
"kind": "extra",
"label": "<string>",
"parentKey": "<string>",
"depth": 123,
"effectiveInstanceCount": 123,
"categoryId": "<string>",
"supplierCompanyId": "<string>",
"supplierName": "<string>",
"departmentId": "<string>",
"areaId": "<string>",
"slotId": "<string>",
"projectItemId": "<string>",
"refNumber": "<string>",
"categoryPlan": {
"marginMeaning": "target",
"sharePct": "<string>",
"clientAllocation": "<string>",
"effectiveMarginPct": "<string>",
"effectiveMarkupPct": "<string>"
},
"areaPlan": {
"effectiveInstanceCount": 123,
"squareArea": "<string>",
"rate": "<string>",
"amount": "<string>",
"inputMissing": true
},
"estimated": true,
"budget": {
"itemizedCost": "<string>",
"itemizedClient": "<string>"
},
"specified": {
"extendedCost": "<string>",
"extendedClient": "<string>",
"itemizedCostVariance": {
"amount": "<string>",
"pct": "<string>"
},
"itemizedClientVariance": {
"amount": "<string>",
"pct": "<string>"
},
"allocatedCostVariance": {
"amount": "<string>",
"pct": "<string>"
}
},
"purchase": {
"extendedCost": "<string>",
"extendedClient": "<string>",
"itemizedCostVariance": {
"amount": "<string>",
"pct": "<string>"
},
"itemizedClientVariance": {
"amount": "<string>",
"pct": "<string>"
},
"allocatedCostVariance": {
"amount": "<string>",
"pct": "<string>"
}
},
"gaps": {
"budgetPrice": 123,
"budgetQuantity": 123,
"costInput": 123
},
"incomplete": {
"budget": true,
"specified": true,
"purchase": true
},
"itemCount": 123,
"allocatedCost": "<string>",
"areaClientCeiling": "<string>"
}
],
"projectTotal": {
"budget": {
"itemizedCost": "<string>",
"itemizedClient": "<string>"
},
"specified": {
"extendedCost": "<string>",
"extendedClient": "<string>",
"itemizedCostVariance": {
"amount": "<string>",
"pct": "<string>"
},
"itemizedClientVariance": {
"amount": "<string>",
"pct": "<string>"
},
"allocatedCostVariance": {
"amount": "<string>",
"pct": "<string>"
}
},
"purchase": {
"extendedCost": "<string>",
"extendedClient": "<string>",
"itemizedCostVariance": {
"amount": "<string>",
"pct": "<string>"
},
"itemizedClientVariance": {
"amount": "<string>",
"pct": "<string>"
},
"allocatedCostVariance": {
"amount": "<string>",
"pct": "<string>"
}
},
"gaps": {
"budgetPrice": 123,
"budgetQuantity": 123,
"costInput": 123
},
"incomplete": {
"budget": true,
"specified": true,
"purchase": true
},
"itemCount": 123
},
"softCosts": {
"filtered": true,
"rows": [
{
"budget": {
"itemizedCost": "<string>",
"itemizedClient": "<string>"
},
"specified": {
"extendedCost": "<string>",
"extendedClient": "<string>",
"itemizedCostVariance": {
"amount": "<string>",
"pct": "<string>"
},
"itemizedClientVariance": {
"amount": "<string>",
"pct": "<string>"
},
"allocatedCostVariance": {
"amount": "<string>",
"pct": "<string>"
}
},
"purchase": {
"extendedCost": "<string>",
"extendedClient": "<string>",
"itemizedCostVariance": {
"amount": "<string>",
"pct": "<string>"
},
"itemizedClientVariance": {
"amount": "<string>",
"pct": "<string>"
},
"allocatedCostVariance": {
"amount": "<string>",
"pct": "<string>"
}
},
"gaps": {
"budgetPrice": 123,
"budgetQuantity": 123,
"costInput": 123
},
"incomplete": {
"budget": true,
"specified": true,
"purchase": true
},
"itemCount": 123,
"key": "<string>",
"softCostId": "<string>",
"groupId": "<string>",
"label": "<string>",
"archived": true,
"softCostBudget": "<string>"
}
],
"families": [
{
"budget": {
"itemizedCost": "<string>",
"itemizedClient": "<string>"
},
"specified": {
"extendedCost": "<string>",
"extendedClient": "<string>",
"itemizedCostVariance": {
"amount": "<string>",
"pct": "<string>"
},
"itemizedClientVariance": {
"amount": "<string>",
"pct": "<string>"
},
"allocatedCostVariance": {
"amount": "<string>",
"pct": "<string>"
}
},
"purchase": {
"extendedCost": "<string>",
"extendedClient": "<string>",
"itemizedCostVariance": {
"amount": "<string>",
"pct": "<string>"
},
"itemizedClientVariance": {
"amount": "<string>",
"pct": "<string>"
},
"allocatedCostVariance": {
"amount": "<string>",
"pct": "<string>"
}
},
"gaps": {
"budgetPrice": 123,
"budgetQuantity": 123,
"costInput": 123
},
"incomplete": {
"budget": true,
"specified": true,
"purchase": true
},
"itemCount": 123,
"key": "<string>",
"softCostId": "<string>",
"groupId": "<string>",
"label": "<string>",
"archived": true,
"softCostBudget": "<string>"
}
],
"total": {
"budget": {
"itemizedCost": "<string>",
"itemizedClient": "<string>"
},
"specified": {
"extendedCost": "<string>",
"extendedClient": "<string>",
"itemizedCostVariance": {
"amount": "<string>",
"pct": "<string>"
},
"itemizedClientVariance": {
"amount": "<string>",
"pct": "<string>"
},
"allocatedCostVariance": {
"amount": "<string>",
"pct": "<string>"
}
},
"purchase": {
"extendedCost": "<string>",
"extendedClient": "<string>",
"itemizedCostVariance": {
"amount": "<string>",
"pct": "<string>"
},
"itemizedClientVariance": {
"amount": "<string>",
"pct": "<string>"
},
"allocatedCostVariance": {
"amount": "<string>",
"pct": "<string>"
}
},
"gaps": {
"budgetPrice": 123,
"budgetQuantity": 123,
"costInput": 123
},
"incomplete": {
"budget": true,
"specified": true,
"purchase": true
},
"itemCount": 123,
"key": "<string>",
"softCostId": "<string>",
"groupId": "<string>",
"label": "<string>",
"archived": true,
"softCostBudget": "<string>"
}
},
"materials": {
"availability": "available",
"freshness": "live",
"rows": [
{
"materialId": "<string>",
"materialName": "<string>",
"shortfallUnits": "<string>",
"supplierCompanyId": "<string>",
"supplierName": "<string>",
"requiredUnits": "<string>",
"unitsPerPackage": "<string>",
"purchaseQuantity": "<string>",
"purchaseQuantityOverride": "<string>",
"purchasedUnits": "<string>",
"consumptionCost": "<string>",
"purchasingCost": "<string>",
"balanceCost": "<string>",
"incomplete": true
}
]
},
"grandTotal": {
"budget": {
"itemizedCost": "<string>",
"itemizedClient": "<string>"
},
"specified": {
"extendedCost": "<string>",
"extendedClient": "<string>",
"itemizedCostVariance": {
"amount": "<string>",
"pct": "<string>"
},
"itemizedClientVariance": {
"amount": "<string>",
"pct": "<string>"
},
"allocatedCostVariance": {
"amount": "<string>",
"pct": "<string>"
}
},
"purchase": {
"extendedCost": "<string>",
"extendedClient": "<string>",
"itemizedCostVariance": {
"amount": "<string>",
"pct": "<string>"
},
"itemizedClientVariance": {
"amount": "<string>",
"pct": "<string>"
},
"allocatedCostVariance": {
"amount": "<string>",
"pct": "<string>"
}
},
"gaps": {
"budgetPrice": 123,
"budgetQuantity": 123,
"costInput": 123
},
"incomplete": {
"budget": true,
"specified": true,
"purchase": true
},
"itemCount": 123
},
"reconciliation": {
"categoriesOnlyInVersion": [
{
"categoryId": "<string>",
"label": "<string>",
"allocation": "<string>"
}
],
"categoriesOnlyLive": [
{
"categoryId": "<string>",
"label": "<string>"
}
],
"unallocatedHard": "<string>"
},
"context": {
"categoryMarginMeaning": "target",
"method": "manual",
"ceiling": "<string>",
"hardAvailable": "<string>",
"contingency": "<string>"
},
"capabilities": {
"itemizedBudget": true,
"softCosts": true,
"taxInclusive": true,
"departments": true
},
"computedAt": "<string>",
"freshness": "live"
}Budget Analysis
Query
POST
/
v1
/
workspaces
/
{workspaceId}
/
projects
/
{projectId}
/
budget-analysis
/
query
Query
curl --request POST \
--url https://app.specurate.com/api/v1/workspaces/{workspaceId}/projects/{projectId}/budget-analysis/query \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"budgetVersion": "live",
"filters": {
"categoryIds": [
"<string>"
],
"supplierCompanyIds": [
"<string>"
],
"areaIds": [
"<string>"
]
}
}
'import requests
url = "https://app.specurate.com/api/v1/workspaces/{workspaceId}/projects/{projectId}/budget-analysis/query"
payload = {
"budgetVersion": "live",
"filters": {
"categoryIds": ["<string>"],
"supplierCompanyIds": ["<string>"],
"areaIds": ["<string>"]
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
budgetVersion: 'live',
filters: {
categoryIds: ['<string>'],
supplierCompanyIds: ['<string>'],
areaIds: ['<string>']
}
})
};
fetch('https://app.specurate.com/api/v1/workspaces/{workspaceId}/projects/{projectId}/budget-analysis/query', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://app.specurate.com/api/v1/workspaces/{workspaceId}/projects/{projectId}/budget-analysis/query",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'budgetVersion' => 'live',
'filters' => [
'categoryIds' => [
'<string>'
],
'supplierCompanyIds' => [
'<string>'
],
'areaIds' => [
'<string>'
]
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://app.specurate.com/api/v1/workspaces/{workspaceId}/projects/{projectId}/budget-analysis/query"
payload := strings.NewReader("{\n \"budgetVersion\": \"live\",\n \"filters\": {\n \"categoryIds\": [\n \"<string>\"\n ],\n \"supplierCompanyIds\": [\n \"<string>\"\n ],\n \"areaIds\": [\n \"<string>\"\n ]\n }\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://app.specurate.com/api/v1/workspaces/{workspaceId}/projects/{projectId}/budget-analysis/query")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"budgetVersion\": \"live\",\n \"filters\": {\n \"categoryIds\": [\n \"<string>\"\n ],\n \"supplierCompanyIds\": [\n \"<string>\"\n ],\n \"areaIds\": [\n \"<string>\"\n ]\n }\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://app.specurate.com/api/v1/workspaces/{workspaceId}/projects/{projectId}/budget-analysis/query")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"budgetVersion\": \"live\",\n \"filters\": {\n \"categoryIds\": [\n \"<string>\"\n ],\n \"supplierCompanyIds\": [\n \"<string>\"\n ],\n \"areaIds\": [\n \"<string>\"\n ]\n }\n}"
response = http.request(request)
puts response.read_body{
"matchingCounts": {},
"attention": {
"purchasingShortfallCount": 123,
"installedShortfallCount": 123,
"requiredStockShortfallCount": 123,
"overrunCount": 123,
"lineOverrunCount": {
"specified": 123,
"purchase": 123
},
"categoryOverrunCount": {
"specified": 123,
"purchase": 123
},
"softCostOverrunCount": {
"specified": 123,
"purchase": 123
},
"incompleteInputCount": 123,
"belowTargetMarginCount": {
"specified": 123,
"purchase": 123
}
},
"matchedCount": 123,
"insights": {
"scopes": {}
},
"budgetVersion": {
"kind": "live",
"id": "<string>",
"number": 123,
"releasedAt": "<string>"
},
"itemizedBudgetsAreLive": true,
"groupBy": "category",
"rows": [
{
"key": "<string>",
"kind": "extra",
"label": "<string>",
"parentKey": "<string>",
"depth": 123,
"effectiveInstanceCount": 123,
"categoryId": "<string>",
"supplierCompanyId": "<string>",
"supplierName": "<string>",
"departmentId": "<string>",
"areaId": "<string>",
"slotId": "<string>",
"projectItemId": "<string>",
"refNumber": "<string>",
"categoryPlan": {
"marginMeaning": "target",
"sharePct": "<string>",
"clientAllocation": "<string>",
"effectiveMarginPct": "<string>",
"effectiveMarkupPct": "<string>"
},
"areaPlan": {
"effectiveInstanceCount": 123,
"squareArea": "<string>",
"rate": "<string>",
"amount": "<string>",
"inputMissing": true
},
"estimated": true,
"budget": {
"itemizedCost": "<string>",
"itemizedClient": "<string>"
},
"specified": {
"extendedCost": "<string>",
"extendedClient": "<string>",
"itemizedCostVariance": {
"amount": "<string>",
"pct": "<string>"
},
"itemizedClientVariance": {
"amount": "<string>",
"pct": "<string>"
},
"allocatedCostVariance": {
"amount": "<string>",
"pct": "<string>"
}
},
"purchase": {
"extendedCost": "<string>",
"extendedClient": "<string>",
"itemizedCostVariance": {
"amount": "<string>",
"pct": "<string>"
},
"itemizedClientVariance": {
"amount": "<string>",
"pct": "<string>"
},
"allocatedCostVariance": {
"amount": "<string>",
"pct": "<string>"
}
},
"gaps": {
"budgetPrice": 123,
"budgetQuantity": 123,
"costInput": 123
},
"incomplete": {
"budget": true,
"specified": true,
"purchase": true
},
"itemCount": 123,
"allocatedCost": "<string>",
"areaClientCeiling": "<string>"
}
],
"projectTotal": {
"budget": {
"itemizedCost": "<string>",
"itemizedClient": "<string>"
},
"specified": {
"extendedCost": "<string>",
"extendedClient": "<string>",
"itemizedCostVariance": {
"amount": "<string>",
"pct": "<string>"
},
"itemizedClientVariance": {
"amount": "<string>",
"pct": "<string>"
},
"allocatedCostVariance": {
"amount": "<string>",
"pct": "<string>"
}
},
"purchase": {
"extendedCost": "<string>",
"extendedClient": "<string>",
"itemizedCostVariance": {
"amount": "<string>",
"pct": "<string>"
},
"itemizedClientVariance": {
"amount": "<string>",
"pct": "<string>"
},
"allocatedCostVariance": {
"amount": "<string>",
"pct": "<string>"
}
},
"gaps": {
"budgetPrice": 123,
"budgetQuantity": 123,
"costInput": 123
},
"incomplete": {
"budget": true,
"specified": true,
"purchase": true
},
"itemCount": 123
},
"softCosts": {
"filtered": true,
"rows": [
{
"budget": {
"itemizedCost": "<string>",
"itemizedClient": "<string>"
},
"specified": {
"extendedCost": "<string>",
"extendedClient": "<string>",
"itemizedCostVariance": {
"amount": "<string>",
"pct": "<string>"
},
"itemizedClientVariance": {
"amount": "<string>",
"pct": "<string>"
},
"allocatedCostVariance": {
"amount": "<string>",
"pct": "<string>"
}
},
"purchase": {
"extendedCost": "<string>",
"extendedClient": "<string>",
"itemizedCostVariance": {
"amount": "<string>",
"pct": "<string>"
},
"itemizedClientVariance": {
"amount": "<string>",
"pct": "<string>"
},
"allocatedCostVariance": {
"amount": "<string>",
"pct": "<string>"
}
},
"gaps": {
"budgetPrice": 123,
"budgetQuantity": 123,
"costInput": 123
},
"incomplete": {
"budget": true,
"specified": true,
"purchase": true
},
"itemCount": 123,
"key": "<string>",
"softCostId": "<string>",
"groupId": "<string>",
"label": "<string>",
"archived": true,
"softCostBudget": "<string>"
}
],
"families": [
{
"budget": {
"itemizedCost": "<string>",
"itemizedClient": "<string>"
},
"specified": {
"extendedCost": "<string>",
"extendedClient": "<string>",
"itemizedCostVariance": {
"amount": "<string>",
"pct": "<string>"
},
"itemizedClientVariance": {
"amount": "<string>",
"pct": "<string>"
},
"allocatedCostVariance": {
"amount": "<string>",
"pct": "<string>"
}
},
"purchase": {
"extendedCost": "<string>",
"extendedClient": "<string>",
"itemizedCostVariance": {
"amount": "<string>",
"pct": "<string>"
},
"itemizedClientVariance": {
"amount": "<string>",
"pct": "<string>"
},
"allocatedCostVariance": {
"amount": "<string>",
"pct": "<string>"
}
},
"gaps": {
"budgetPrice": 123,
"budgetQuantity": 123,
"costInput": 123
},
"incomplete": {
"budget": true,
"specified": true,
"purchase": true
},
"itemCount": 123,
"key": "<string>",
"softCostId": "<string>",
"groupId": "<string>",
"label": "<string>",
"archived": true,
"softCostBudget": "<string>"
}
],
"total": {
"budget": {
"itemizedCost": "<string>",
"itemizedClient": "<string>"
},
"specified": {
"extendedCost": "<string>",
"extendedClient": "<string>",
"itemizedCostVariance": {
"amount": "<string>",
"pct": "<string>"
},
"itemizedClientVariance": {
"amount": "<string>",
"pct": "<string>"
},
"allocatedCostVariance": {
"amount": "<string>",
"pct": "<string>"
}
},
"purchase": {
"extendedCost": "<string>",
"extendedClient": "<string>",
"itemizedCostVariance": {
"amount": "<string>",
"pct": "<string>"
},
"itemizedClientVariance": {
"amount": "<string>",
"pct": "<string>"
},
"allocatedCostVariance": {
"amount": "<string>",
"pct": "<string>"
}
},
"gaps": {
"budgetPrice": 123,
"budgetQuantity": 123,
"costInput": 123
},
"incomplete": {
"budget": true,
"specified": true,
"purchase": true
},
"itemCount": 123,
"key": "<string>",
"softCostId": "<string>",
"groupId": "<string>",
"label": "<string>",
"archived": true,
"softCostBudget": "<string>"
}
},
"materials": {
"availability": "available",
"freshness": "live",
"rows": [
{
"materialId": "<string>",
"materialName": "<string>",
"shortfallUnits": "<string>",
"supplierCompanyId": "<string>",
"supplierName": "<string>",
"requiredUnits": "<string>",
"unitsPerPackage": "<string>",
"purchaseQuantity": "<string>",
"purchaseQuantityOverride": "<string>",
"purchasedUnits": "<string>",
"consumptionCost": "<string>",
"purchasingCost": "<string>",
"balanceCost": "<string>",
"incomplete": true
}
]
},
"grandTotal": {
"budget": {
"itemizedCost": "<string>",
"itemizedClient": "<string>"
},
"specified": {
"extendedCost": "<string>",
"extendedClient": "<string>",
"itemizedCostVariance": {
"amount": "<string>",
"pct": "<string>"
},
"itemizedClientVariance": {
"amount": "<string>",
"pct": "<string>"
},
"allocatedCostVariance": {
"amount": "<string>",
"pct": "<string>"
}
},
"purchase": {
"extendedCost": "<string>",
"extendedClient": "<string>",
"itemizedCostVariance": {
"amount": "<string>",
"pct": "<string>"
},
"itemizedClientVariance": {
"amount": "<string>",
"pct": "<string>"
},
"allocatedCostVariance": {
"amount": "<string>",
"pct": "<string>"
}
},
"gaps": {
"budgetPrice": 123,
"budgetQuantity": 123,
"costInput": 123
},
"incomplete": {
"budget": true,
"specified": true,
"purchase": true
},
"itemCount": 123
},
"reconciliation": {
"categoriesOnlyInVersion": [
{
"categoryId": "<string>",
"label": "<string>",
"allocation": "<string>"
}
],
"categoriesOnlyLive": [
{
"categoryId": "<string>",
"label": "<string>"
}
],
"unallocatedHard": "<string>"
},
"context": {
"categoryMarginMeaning": "target",
"method": "manual",
"ceiling": "<string>",
"hardAvailable": "<string>",
"contingency": "<string>"
},
"capabilities": {
"itemizedBudget": true,
"softCosts": true,
"taxInclusive": true,
"departments": true
},
"computedAt": "<string>",
"freshness": "live"
}Authorizations
Path Parameters
Body
application/json
Response
200 - application/json
⌘I